Make sure we build the software the Debian way.
diff --git a/Makefile b/Makefile
index 6913c19..c51f47f 100644
--- a/Makefile
+++ b/Makefile
@@ -1,36 +1,28 @@
-CXX = g++
 MSTOOLKIT = MSToolkit
 COMETSEARCH = CometSearch
 
-UNAME_S := $(shell uname -s)
-ifeq ($(UNAME_S),Darwin)
-   override CXXFLAGS += -O3 -fpermissive -Wall -Wextra -Wno-char-subscripts -DCURL_STATICLIB -DHTTP_ONLY -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
-else
-   override CXXFLAGS += -O3 -static -fpermissive -Wall -Wextra -Wno-char-subscripts -DCURL_STATICLIB -DHTTP_ONLY -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
-endif
+# By Filippo Rusconi: -D__LINUX__ is required by the mzParser.h file in /usr/include/libmstoolkit
+override CXXFLAGS += -O3 -fpermissive -Wall -Wextra -Wno-char-subscripts -DCURL_STATICLIB -DHTTP_ONLY -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I/usr/include/libmstoolkit -I$(COMETSEARCH)
 
-EXECNAME = comet.exe
+EXECNAME = comet-ms
 OBJS = Comet.o
 DEPS = CometSearch/CometData.h CometSearch/CometDataInternal.h CometSearch/CometPreprocess.h CometSearch/CometWriteOut.h CometSearch/CometWriteSqt.h CometSearch/OSSpecificThreading.h CometSearch/CometMassSpecUtils.h CometSearch/CometSearch.h CometSearch/CometWritePepXML.h CometSearch/CometWriteTxt.h CometSearch/Threading.h CometSearch/CometPostAnalysis.h CometSearch/CometSearchManager.h CometSearch/CometWritePercolator.h CometSearch/CometCheckForUpdates.h CometSearch/Common.h CometSearch/ThreadPool.h CometSearch/CometMassSpecUtils.cpp CometSearch/CometSearch.cpp CometSearch/CometWritePepXML.cpp CometSearch/CometWriteTxt.cpp CometSearch/CometPostAnalysis.cpp CometSearch/CometSearchManager.cpp CometSearch/CometWritePercolator.cpp CometSearch/Threading.cpp CometSearch/CometPreprocess.cpp CometSearch/CometWriteOut.cpp CometSearch/CometWriteSqt.cpp CometSearch/CometCheckForUpdates.cpp
 
-LIBPATHS = -L$(MSTOOLKIT) -L$(COMETSEARCH)
-LIBS = -lcometsearch -lmstoolkitlite -lm -lpthread 
-ifdef MSYSTEM
-   LIBS += -lws2_32
-endif
+CPP_DEPS = CometSearch/CometCheckForUpdates.cpp CometSearch/CometMassSpecUtils.cpp CometSearch/CometPreprocess.cpp CometSearch/CometSearchManager.cpp CometSearch/CometWritePepXML.cpp CometSearch/CometWriteSqt.cpp CometSearch/Threading.cpp CometSearch/CometInterfaces.cpp CometSearch/CometPostAnalysis.cpp CometSearch/CometSearch.cpp CometSearch/CometWriteOut.cpp CometSearch/CometWritePercolator.cpp CometSearch/CometWriteTxt.cpp
 
-comet.exe: $(OBJS)
-	cd $(MSTOOLKIT) ; make arlib; cd ../CometSearch ; make
+OBJ_DEPS = CometSearch/CometCheckForUpdates.o CometSearch/CometMassSpecUtils.o CometSearch/CometPreprocess.o CometSearch/CometSearchManager.o CometSearch/CometWritePepXML.o CometSearch/CometWriteSqt.o CometSearch/Threading.o CometSearch/CometInterfaces.o CometSearch/CometPostAnalysis.o CometSearch/CometSearch.o CometSearch/CometWriteOut.o CometSearch/CometWritePercolator.o CometSearch/CometWriteTxt.o
 
-ifeq ($(UNAME_S),Darwin)
-	${CXX} $(OBJS) -headerpad_max_install_names -o ${EXECNAME} $(CXXFLAGS) $(LIBPATHS) $(LIBS)
-else
-	${CXX} $(OBJS) -o ${EXECNAME} $(CXXFLAGS) $(LIBPATHS) $(LIBS)
-endif
+LIBPATHS = -L/usr/lib 
+LIBS = -lmstoolkitlite -lm -lpthread 
+
+comet-ms: $(OBJS)
+	cd CometSearch ; make
+	${CXX} $(OBJS) $(OBJ_DEPS) -o ${EXECNAME} $(CXXFLAGS) $(LIBPATHS) $(LIBS)
 
 Comet.o: Comet.cpp $(DEPS)
-	${CXX} ${CXXFLAGS} Comet.cpp -c
+	cd CometSearch ; make
+	${CXX} ${CXXFLAGS} $(CPP_DEPS) Comet.cpp -c
 
 clean:
 	rm -f *.o ${EXECNAME}
-	cd $(MSTOOLKIT) ; make clean ; cd ../CometSearch ; make clean
+	cd CometSearch ; make clean
